import { pxToRem } from '../typography';

export default function TextField(theme) {
  return {
    MuiTextField: {
      styleOverrides: {
        root: {
          '& .MuiOutlinedInput-root': {
            borderRadius: theme.spacing(1),
            fontFamily: 'Inter-Regular',
          },
          '& .MuiOutlinedInput-input::placeholder': {
            fontStyle: 'italic',
            fontSize: pxToRem(14),
          },
          '& .Mui-disabled': {
            borderRadius: theme.spacing(1),
          },
        },
      },
    },
  };
}
